function Ped05000_metaVendaComissao_Controller(General, templateManager, ScreenService, Ped05000_metaVendaComissao_Service, ZhFilterPreferences) {

    var  mensagens = {
        valorInicial : 'Valor Inicial inválido!',
        valorFinal: 'Valor Final inválido!',
        produtoFinal: 'Produto Final não pode ser menor que o produto inicial!',
        valorComissao: 'Comissão(%) deve estar entre 0 e 100!',
        preencherCampos: 'Preencha os filtros antes de realizar o cadastro Automatico!',
        sucessoCadastro: 'Cadastro automático realizado com sucesso!',
        checkedRows: 'Selecione produtos antes de realizar o cadastro automático!'
    };
    
    this.saveProduto = function(widget) {
       var widgetMetaVenda = templateManager.container.getWidget('METAVENDA').currentRow;
       widget.currentRow.CDMETAVENDA = widgetMetaVenda.CDMETAVENDA;
       General.saveCrud(widget);
    };
    
    this.prodIni = function(widget){
        var row = widget.currentRow;
        widget.getField('NMPRODUTOFIN').readOnly = !row.NMPRODUTOINI;
        widget.getField('NMPRODUTOFIN').readOnlyOnEdit = !row.NMPRODUTOINI;
        this.prodFin(widget);
    };
   
    this.getNrorg = function(){
        return templateManager.container.getWidget('METAVENDA').currentRow.NRORG;
    };
    
    this.prodFin = function(widget){
       
        var row = widget.currentRow;
    
        if (row.CDPRODUTOINI > row.CDPRODUTOFIN){
            ScreenService.showMessage("O codigo do produto inicial não pode ser maior que do final");
            return 0;
        }

        widget.reload();
    };
    
    this.editMetaVenda = function(widget) {
        widget.edit();
    };
   
    this.cancelarCadastroAutomaticoProduto = function() {
        var widget = templateManager.container.getWidget('CADASTROAUTOPRODUTO');
        widget.currentRow = {};
        var widgetActivate = templateManager.container.getWidget('PRODUTOS');
        widget.isVisible = false;
        ScreenService.closePopup(widget);
        widgetActivate.activate();
    };
    
    this.newMeta = function(widget) {
        widget.newRow();
        widget.widgets[0].enabled = false;
        widget.widgets[1].enabled = false;
        
        var nrseq;
        nrseq.push('METAVENDCOM');
        Ped05000_metaVendaComissao_Service.getNrSeq(nrseq).then(function(success){
          widget.currentRow.NRMETAVENDCOM = success.dataset.data[0];
        });
    };
    
    this.unlockFaixaFinal = function(args) {
        var row = args.owner.field.widget.currentRow;
        
        args.owner.field.widget.getField('FXFINAL').readOnly = !row.FXINICIAL;
        args.owner.field.widget.getField('FXFINAL').readOnlyOnEdit = !row.FXINICIAL;
        args.owner.field.widget.getField('FXFINAL').clearValue();
    };
    
    this.filterTabbed = function(widget) {
        if(widget.mode == 'list') {
            widget.dataSourceFilter[0].value = templateManager.container.getWidget('METAVENCOMISSAO').currentRow.NRMETAVENDCOM;
            widget.reload();   
        }
    };
   
    this.openFilter = function(widget){
        ZhFilterPreferences.setOriginalFilter(widget.id);
        ZhFilterPreferences.openFilterWidget(widget);
    };
    
    
    
    this.openPopupCadastroProdutos = function() {
        var widgetMetaVenda = templateManager.container.getWidget('METAVENDA').currentRow;
        var widgetPopup = templateManager.container.getWidget('CADASTROAUTOPRODUTO');
        widgetPopup.currentRow.CDMETAVENDA = widgetMetaVenda.CDMETAVENDA;
        widgetPopup.currentRow.NMMETAVENDA = widgetMetaVenda.NMMETAVENDA;
        widgetPopup.isVisible = true;
        ScreenService.openPopup(widgetPopup);
    };

    this.cancelEdit = function(widget) {
       if(this.formChangeTemplate(widget) && widget.parent) {
            var widgets = widget.parent.widgets;

            this.changeWidgetAcessibility(widgets.concat(widget.parent), true);
        } else this.changeWidgetAcessibility(widget.widgets, true);

        if(widget.currentRow.__is_new) {
            var indexOfCurrentRow = widget.dataSource.data.indexOf(widget.currentRow);
            if(indexOfCurrentRow !== -1) {
                widget.dataSource.data.pop();
            }
            widget.list();

            ScreenService.closeSwipe();
        } else {
            Util.extend(widget.currentRow, widget.backupRow);
            widget.view();
        }
        widget.widgets[0].enabled = true;
        widget.widgets[1].enabled = true;
    };
    
    this.formChangeTemplate = function(widget) {
        // var widget = templateManager.container.getActiveWidget();
        if((widget.template != "widget/form.html")&&(widget.template != "widget/form-view.html")) return false;

        if(!widget.templateToForm) widget.templateToForm = "widget/form.html";
        if(!widget.templateToView) widget.templateToForm = "widget/form-view.html";

        if(widget.template == widget.templateToForm) widget.template = widget.templateToView;
        else if(widget.template == widget.templateToView) widget.template = widget.templateToForm;

        templateManager.updateTemplate();

        return true;
    };
    
    this.changeWidgetAcessibility = function(widgets, enabled) {
        widgets.forEach(function(widget){
            widget.enabled = enabled;
        });

        templateManager.updateTemplate();
    };


}

Configuration(function(ContextRegister){
    ContextRegister.register('Ped05000_metaVendaComissao_Controller', Ped05000_metaVendaComissao_Controller);
});