let ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
let z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geralPage = new Helper.geral();
let loginPage = new Helper.login();
const justExclHistPage = require('../../../page-objects/parametrizacao/pedidos/justificativaExclusaoHistorico.po.js');
const j = require('../../../json/leitorJson.po');
let justExclHistGridId = '20680890087885766581857';
describe('Tela Grupo de Clientes', () => {
    beforeEach(() => {
        browser.get('http://erpteste.teknisa.com/login/');
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        justExclHistPage.abrir();
    });

    afterEach(() => {
        z.component.menu.open();
        z.component.menu.clickByLabel('Sair');
        z.component.alert.clickButton('Sim');
    });

    it('Deve acessar a tela Justificativa de Exclusão de historico', () => {
        expect(z.component.header.getTitle()).toBe('Justificativa de Exclusão do Histórico');
    });

    it('Deve adicionar Justificativa de Exclusão de historico', () => {
        geralPage.clickAdicionar();
        justExclHistPage.adicionarjustExclHist(j.getValor('codigoJHE'), j.getValor('Descricao'));
        geralPage.clickSalvar();
        geralPage.esperarLoading();
        expect(geralPage.gridHasText(justExclHistGridId, j.getValor('codigoJHE')))
            .toMatch(j.getValor('codigoJHE'));
    });

    it('Deve editar Justificativa de Exclusão de historico', () => {
        geralPage.filterIt(j.getValor('codigoJHE'));
        geralPage.esperarLoading();
        geralPage.clickGrid('CDJUSTEXCHIS', j.getValor('codigoJHE'), justExclHistGridId);
        geralPage.clickEditar();
        justExclHistPage.editarjustExclHist(j.getValor('Descricao1'));
        geralPage.clickSalvar();
        geralPage.esperarLoading();
        expect(geralPage.gridHasText(justExclHistGridId, j.getValor('Descricao1'), 1))
            .toMatch(j.getValor('Descricao1'));

    });

    it('Excluir Cadastro', () => {
        geralPage.filterIt(j.getValor('codigoJHE'));
        geralPage.esperarLoading(); 
        geralPage.clickGrid('CDJUSTEXCHIS', j.getValor('codigoJHE'), justExclHistGridId);
        justExclHistPage.apagarjustExclHist();
       expect(geralPage.gridHasText(justExclHistGridId, j.getValor('Descricao1'), 1, false))
       .not.toMatch(j.getValor('Descricao1')); 
    });
    
});